AWS
action EKS

# delete_cluster

Delete the given EKS cluster

Run it now
View details

Type | action
Module | chaosaws.eks.actions
Name | delete_cluster
Return | mapping

Usage

JSON

    {
      "name": "delete-cluster",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.eks.actions",
        "func": "delete_cluster"
      }
    }

YAML

    name: delete-cluster
    provider:
      func: delete_cluster
      module: chaosaws.eks.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
name | string | null | No | Cluster Name |

Signature

    def delete_cluster(
            name: str = None,
            configuration: Dict[str, Dict[str, str]] = None,
            secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- AWS
  action EKS

  ## `create_cluster`

  Create a new EKS cluster
- AWS
  probe EKS

  ## `describe_cluster`

  Describe an EKS cluster
- AWS
  probe EKS

  ## `list_clusters`

  List EKS clusters available to the authenticated account